# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "sansio-executor"
version = "0.6.0"
authors = ["Rain Liu <y@liu.mx>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "sansio executor"
homepage = "https://webrtc.rs"
documentation = "https://docs.rs/sansio-executor"
readme = "README.md"
keywords = [
    "sansio",
    "executor",
    "async",
    "tokio",
]
categories = [
    "asynchronous",
    "network-programming",
]
license = "MIT/Apache-2.0"
repository = "https://github.com/webrtc-rs/sansio"
resolver = "2"

[lib]
name = "sansio_executor"
path = "src/lib.rs"

[dependencies.core_affinity]
version = "0.8.3"

[dependencies.scoped-tls]
version = "1.0.1"

[dependencies.tokio]
version = "1.48.0"
features = [
    "rt",
    "sync",
    "macros",
]
